Set a new till status by token information
Set a new till status by token information
Required permissions: SALES_ORDER,RETURN_ORDER
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+The amount that should be withdrawed from the till and deposited to night safe when the till is closed.
An optional reference to the bank deposit
When the till is opened this is the change amount. When the till is closed this is the counted amount
Make a Z report when this request closes the till. Ignored when the store uses store cash reconciliation.
trueExample response
Cash report for a till.
zReport is the Z report this close made. Absent when none was made. Get the whole report with the get operation.
The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)
After the till is closed the cash revenue will be calculated in this field
^[A-Za-z0-9-_]+The till has a receipt whose payment is in progress, so no Z report can be made. The response lists the orders to finish or cancel.
POST /v2/tenants/{tenantUid}/stores/{storeUid}/till/status HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 211
{
"bankdepositAmount": 1,
"bankdepositReference": "text",
"cashAmount": 1,
"status": "OPEN",
"cashDetails": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
],
"createZReport": true
}{
"bankdepositAmount": 1,
"bankdepositReference": "text",
"cashDifferenceAmount": 1,
"cashRevenueAmount": 1,
"cashreportUid": "text",
"changeAmount": 1,
"closedAt": "2026-01-01T00:00:00.000Z",
"closedByDisplayName": "text",
"comment": "text",
"countedAmount": 1,
"openAt": "2026-01-01T00:00:00.000Z",
"openByDisplayName": "text",
"status": "OPEN",
"withdrawalAmount": 1,
"cashDetailsAtOpen": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
],
"cashDetailsAtClose": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
],
"zReport": {
"id": "text",
"tillUid": "text",
"source": "STORED",
"sequenceNumber": 1,
"date": "2026-01-01",
"periodFrom": "2026-01-01T00:00:00.000Z",
"periodTo": "2026-01-01T00:00:00.000Z",
"producedAt": "2026-01-01T00:00:00.000Z",
"producedBy": "TILL_CLOSE",
"receiptCount": 1,
"totalSales": 1,
"returnCount": 1,
"returnAmount": 1,
"grandTotalSales": 1,
"grandTotalReturn": 1,
"grandTotalNet": 1
}
}Last updated
Was this helpful?

